apiVersion: apps/v1
kind: Deployment
metadata:
  name: devops-practice
  labels:
    app: devops-practice
spec:
  selector:
    matchLabels:
      app: devops-practice
  template:
    metadata:
      name: devops-practice
      labels:
        app: devops-practice
    spec:
      initContainers:
        - name: application-init
          image: alpine:latest
          command: ["/bin/sh", "-c"]
          args: ["apk add netcat-openbsd && /check/check_db.sh"]
          volumeMounts:
            - name: application-volume
              mountPath: /check/
      containers:
        - name: application-image
          image: fake1account/devops_practice:a9a21679-20200515
          readinessProbe:
              httpGet:
                path: /actuator/health/
                port: 8090
              initialDelaySeconds: 120
              periodSeconds: 30
          livenessProbe:
              httpGet:
                path: /actuator/health/
                port: 8090
              initialDelaySeconds: 140
              periodSeconds: 30
          resources:
              requests:
                cpu: "300m"
                memory: "200Mi"
              limits:
                cpu: "300m"
                memory: "450Mi"
          envFrom:
            - secretRef:
                name: database-credentials
          ports:
            - containerPort: 8090
              protocol: TCP
              name: app-port
      volumes:
        - name: application-volume
          configMap:
              name: check-database
              defaultMode: 0777
    
